FitnessFunction

genetic

## Class FitnessFunction

- java.lang.Object
- - genetic.FitnessFunction

-     public class FitnessFunction
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private jm.music.data.Phrase` | `chromosome`
    `private int` | `lowestNote`
    `private int` | `range`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FitnessFunction(jm.music.data.Phrase chromosome, int range, int lowestNote)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private double` | `getBeginningEndingNoteFitness()`
    `private double` | `getCMajorFitness()`
    `private double` | `getCorrectTimingFitness()`
    `private double` | `getDrasticDurationChangeFitness()`
    `double` | `getFitnessValue()`
    `private double` | `getLastNoteLongerFitness()`
    `private double` | `getNoteDirectionFitness()`
    `private double` | `getNoteInRangeFitness()`
    `private double` | `getNoteRelationshipFitness()`
    `private double` | `getOverFifthFitness()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chromosome

          private jm.music.data.Phrase chromosome

    - #### range

          private int range

    - #### lowestNote

          private int lowestNote

  - ### Constructor Detail

    - #### FitnessFunction

          public FitnessFunction(jm.music.data.Phrase chromosome,
                         int range,
                         int lowestNote)

  - ### Method Detail

    - #### getFitnessValue

          public double getFitnessValue()

    - #### getLastNoteLongerFitness

          private double getLastNoteLongerFitness()

    - #### getCMajorFitness

          private double getCMajorFitness()

    - #### getNoteRelationshipFitness

          private double getNoteRelationshipFitness()

    - #### getNoteInRangeFitness

          private double getNoteInRangeFitness()

    - #### getCorrectTimingFitness

          private double getCorrectTimingFitness()

    - #### getNoteDirectionFitness

          private double getNoteDirectionFitness()

    - #### getBeginningEndingNoteFitness

          private double getBeginningEndingNoteFitness()

    - #### getOverFifthFitness

          private double getOverFifthFitness()

    - #### getDrasticDurationChangeFitness

          private double getDrasticDurationChangeFitness()